import 'package:flutter/material.dart';
import 'package:supplier_new/common/settings.dart';
import 'package:supplier_new/login/login.dart';
import 'package:supplier_new/signup/signup.dart';

import '../signup/signup_mobilenumber_screen.dart';

class LoginSignUpScreen extends StatefulWidget {
  const LoginSignUpScreen({super.key});

  @override
  State<LoginSignUpScreen> createState() => _LoginSignUpScreenState();
}

class _LoginSignUpScreenState extends State<LoginSignUpScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: Padding(
          padding: EdgeInsets.all(24),
          child: Column(
            children: [
              SizedBox(height: MediaQuery.of(context).size.height * .2),
              Center(
                child: Text("AQUICK SUPPLIER",
                    style: fontTextStyle(20, Color(0XFF515253), FontWeight.w800)),
              ),
              SizedBox(height: MediaQuery.of(context).size.height * .05),
              CircleAvatar(radius: 80, backgroundColor: Color(0XFFF3F1FB)),
              SizedBox(height: MediaQuery.of(context).size.height * .05),
              Center(
                child: Text(
                  "Welcome to Aquick Supplier",
                  style: fontTextStyle(20, Color(0XFF343637), FontWeight.w700),
                ),
              ),
              SizedBox(height: MediaQuery.of(context).size.height * .012),
              Center(
                child: Text(
                  "Sign up or login to be listed as a supplier, start deliveries and track orders",
                  style: fontTextStyle(12, Color(0XFF7E7F80), FontWeight.w400),
                  textAlign: TextAlign.center, // Keeps text centered in multiple lines
                ),
              ),
              SizedBox(height: MediaQuery.of(context).size.height * .04),
              Container(
                  width:double.infinity,
                  height: MediaQuery.of(context).size.height * .06,
                  child: ElevatedButton(
                    style: ElevatedButton.styleFrom(
                      foregroundColor: Colors.white,
                      backgroundColor: primaryColor,
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(24.0), // Customize the radius
                      ),
                    ),
                    onPressed: () async{
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => Login()),
                      );
                    },
                    child:  Text('Login',style: fontTextStyle(14,Colors.white,FontWeight.w500),),
                  )),
              SizedBox(height: MediaQuery.of(context).size.height * .012),
              Container(
                width: double.infinity,
                height: MediaQuery.of(context).size.height * .06,
                child: ElevatedButton(
                  style: ElevatedButton.styleFrom(
                    foregroundColor: Color(0XFF757575),
                    backgroundColor: Colors.white,
                    shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(24.0), // Customize the radius
                      side: BorderSide(
                        color: Color(0XFF757575), // Border color
                        width: 1,               // Border width
                      ),
                    ),
                  ),
                  onPressed: () async {
                    Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => SignUpMobileNumberScreen()),
                    );
                  },
                  child: Text(
                    'Sign up',
                    style: fontTextStyle(12, Color(0XFF757575), FontWeight.w500),
                  ),
                ),
              )

            ],
          ),
        )
    );
  }
}
